메뉴 건너뛰기

Dev tips

----------------------------------------------------------------------
System.Data.OracleClient requires Oracle client software version 8.1.7 or greater.

첫번째 닷넷을 설치한 OS는 Windows 2003 이었습니다.

제가 처음에 oci.dll 호출 에러와 오라클 9i를 설치했는데두 불구하고 계속 8.1.7버전을 이상을 설치하라는 이상한 오류가 났었습니다.

그런데 오라클 홈페이지에서 Oracle Provider 9.2 를 받고 해결을 했습니다.

설치시에 맨 마지막 쯤에 오라클 provide .net 만 설치 해줬더니 이 2가지 문제가 다 해결이 됐더라구염.

그럼 즐프 하시길 바라겠습니다.

----------------------------------------------------------------------

그러나....

단지 오라클 프로바이더만 설치해서 되는것은 아니다
반드시 2003서버용 닷넷프레임웤 패치 파일을 설치 해 주어야한다!!!

WindowsServer2003-KB867460-x86-KOR.EXE

이와같은 이름의 실행 파일을 MS사이트로 부터 다운로드 받아야한다.

----------------------------------------------------------------------
Link ...

Oracle Provider for .NET :
http://www.oracle.com/technology/software/tech/windows/odpnet/index.html

WindowsServer2003-KB867460-x86-KOR.EXE :
http://www.microsoft.com/downloads/details.aspx?displaylang=ko&FamilyID=AE7EDEF7-2CB7-4864-8623-A1038563DF23
----------------------------------------------------------------------

 

 

[출처]

http://blog.naver.com/tombap/60011345008